openSUSE Security Update : git (openSUSE-2019-410)

Medium Nessus Plugin ID 123178

Synopsis

The remote openSUSE host is missing a security update.

Description

This update for fixes the following security issues :

- path sanity-checks on NTFS can read arbitrary memory (CVE-2018-11233, boo#1095218)

- arbitrary code execution when recursively cloning a malicious repository (CVE-2018-11235, boo#1095219)

Solution

Update the affected git packages.

See Also

https://bugzilla.opensuse.org/show_bug.cgi?id=1095218

https://bugzilla.opensuse.org/show_bug.cgi?id=1095219

Plugin Details

Severity: Medium

ID: 123178

File Name: openSUSE-2019-410.nasl

Version: 1.2

Type: local

Agent: unix

Published: 2019/03/27

Updated: 2019/04/02

Dependencies: 12634

Risk Information

Risk Factor: Medium

CVSS v2.0

Base Score: 6.8

Temporal Score: 5.3

Vector: CVSS2#AV:N/AC:M/Au:N/C:P/I:P/A:P

Temporal Vector: CVSS2#E:POC/RL:OF/RC:C

CVSS v3.0

Base Score: 7.8

Temporal Score: 7

Vector: CVSS:3.0/AV:L/AC:L/PR:N/UI:R/S:U/C:H/I:H/A:H

Temporal Vector: CVSS:3.0/E:P/RL:O/RC:C

Vulnerability Information

CPE: p-cpe:/a:novell:opensuse:git, p-cpe:/a:novell:opensuse:git-arch, p-cpe:/a:novell:opensuse:git-core, p-cpe:/a:novell:opensuse:git-core-debuginfo, p-cpe:/a:novell:opensuse:git-credential-gnome-keyring, p-cpe:/a:novell:opensuse:git-credential-gnome-keyring-debuginfo, p-cpe:/a:novell:opensuse:git-credential-libsecret, p-cpe:/a:novell:opensuse:git-credential-libsecret-debuginfo, p-cpe:/a:novell:opensuse:git-cvs, p-cpe:/a:novell:opensuse:git-daemon, p-cpe:/a:novell:opensuse:git-daemon-debuginfo, p-cpe:/a:novell:opensuse:git-debuginfo, p-cpe:/a:novell:opensuse:git-debugsource, p-cpe:/a:novell:opensuse:git-email, p-cpe:/a:novell:opensuse:git-gui, p-cpe:/a:novell:opensuse:git-p4, p-cpe:/a:novell:opensuse:git-svn, p-cpe:/a:novell:opensuse:git-svn-debuginfo, p-cpe:/a:novell:opensuse:git-web, p-cpe:/a:novell:opensuse:gitk, cpe:/o:novell:opensuse:15.0, cpe:/o:novell:opensuse:42.3

Required KB Items: Host/local_checks_enabled, Host/SuSE/release, Host/SuSE/rpm-list, Host/cpu

Exploit Available: true

Exploit Ease: Exploits are available

Patch Publication Date: 2019/03/23

Vulnerability Publication Date: 2018/05/30

Reference Information

CVE: CVE-2018-11233, CVE-2018-11235